package cnh.crb;

import gov.nasa.worldwind.render.BasicWWTexture;
import gov.nasa.worldwind.render.Offset;
import gov.nasa.worldwind.render.PatternFactory;
import gov.nasa.worldwind.render.WWTexture;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.image.BufferedImage;

import repast.simphony.visualization.gis3D.style.DefaultMarkStyle;

/**
 * 
 * @author Eric Tatara
 * @author jozik
 *
 */
public class FlowAgentStyle extends DefaultMarkStyle<FlowAgent>{
	
	@Override
	public WWTexture getTexture(FlowAgent object, WWTexture texture) {
//		if (texture != null)
//			return texture;
//
//		URL localUrl = WorldWind.getDataFileStore().requestFile("icons/arrow.png");
//		if (localUrl != null)	{
//			return new BasicWWTexture(localUrl, false);
//		}
		Color color = Color.BLUE;
		
		
		
		BufferedImage image = PatternFactory.createPattern(PatternFactory.PATTERN_CIRCLE, 
				new Dimension(1, 1), 0.7f,  color);

		return new BasicWWTexture(image);
	}

	@Override
	public String getLabel(FlowAgent obj) {
//		System.out.println("About to return label: " + obj.dir.toString());
//		return obj.dir.toString();
		return null;
	}
	
	@Override
	public Color getLabelColor(FlowAgent obj) {
		return Color.black;
	}

	@Override
	public Font getLabelFont(FlowAgent obj) {
		return new Font("Dialog", Font.PLAIN, 12);
	}

	@Override
	public Offset getLabelOffset(FlowAgent obj) {
		return Offset.CENTER;
	}
	
}