package cnh.crb;

import gov.nasa.worldwind.render.SurfacePolygon;
import gov.nasa.worldwind.render.SurfaceShape;

import java.awt.Color;

import repast.simphony.visualization.gis3D.style.SurfaceShapeStyle;

/**
 * 
 * @author tatara
 * @author jozik
 *
 */
public class GridCellAgentStyle implements SurfaceShapeStyle<GridCellAgent>{

	@Override
	public SurfaceShape getSurfaceShape(GridCellAgent object, SurfaceShape shape) {
	  return new SurfacePolygon();
	}

	@Override
	public Color getFillColor(GridCellAgent obj) {
		return Color.BLUE;
	}

	@Override
	public double getFillOpacity(GridCellAgent obj) {
		return 0.25;
	}

	@Override
	public Color getLineColor(GridCellAgent obj) {
		return Color.GREEN;
	}

	@Override
	public double getLineOpacity(GridCellAgent obj) {
		return 1.0;
	}

	@Override
	public double getLineWidth(GridCellAgent obj) {
		return 3;
	}
}