package cnh.crb.econ;

import java.util.Date;

public class SimpleCostCalculator extends AbstractCalculator implements CostCalculator{

	@Override
	public double calculateCost(Date date, double amt, BillableEntity entity) {
		CostData data = getValue(date);
		if (amt >= data.threshold) return data.cost * amt;
		return 0;
	}
	
}
