package cnh.crb.analysis.datasets;

import java.util.ArrayList;
import java.util.List;

public class ColumnRemoverResampler extends DataResampler{

	List<String> columnsToRemove = new ArrayList<String>();
	
	public ColumnRemoverResampler(String ... columnsToRemove){
		for(String col: columnsToRemove) this.columnsToRemove.add(col);
	}
	
	public SingleDataSet resample(SingleDataSet dataSet) {
		String[] cols = new String[columnsToRemove.size()];
		cols = columnsToRemove.toArray(cols);
		ColumnFilterResampler resampler = new ColumnFilterResampler(dataSet.headers, cols); 
		return resampler.resample(dataSet);
	}

}
