package cnh.crb.analysis.datasets;

import java.util.ArrayList;
import java.util.List;
import java.util.Map.Entry;

public class TickShifterResampler extends DataResampler{

	double offset = 0;
	
	public TickShifterResampler(double shiftValue){
		offset = shiftValue;
	}
	
	public SingleDataSet resample(SingleDataSet dataSet){
		SingleDataSet ret = new SingleDataSet(dataSet);
		for(Entry<Double, List<String>> dataLine: dataSet.data.entrySet()){
			List<String> values = new ArrayList<String>();
			for(String value: dataLine.getValue()) values.add(value);
			ret.data.put(dataLine.getKey() + offset, values);
		}
		return ret;
	}
	
}
