/**
 * 
 */
package cnh.crb.household;

/**
 * Interface for classes that set household properties. 
 * Typically this will draw the properties from Parameters.
 * 
 * @author NC
 */
public interface HouseholdDataInitializer {
	
	/**
	 * Initialize the properties of this household. 
	 * 
	 * @param household
	 */
	void initialize(Household.HouseholdData data);
}
