package cnh.crb.hydro;

import java.util.Date;

/**
 * A FlowNode that can receive water.
 * 
 * @author murphy
 *
 */
public interface RecipientFlowNode extends FlowNode{

  public void addWaterSource(SourceFlowNode src);

  public FlowHydrograph getDemand(Date start, Date end);
  
  public void registerSupplyToBeReceived(SourceFlowNode upstreamNode, 
      FlowHydrograph supplyToBeReceived, FlowHydrograph additionalSupplyAvailable, FlowManager flowManager);
  
}
