package cnh.crb.wbm;

import java.util.HashMap;
import java.util.Map;

/**
 * Class that wraps the information to be sent to the WBM from the ABM,
 * for a specific WBMNaturalWaterSource.
 * 
 * @author murphy
 *
 */
public class WBMSendDatum{
	double  netSurfaceFlow               = 0;
	double  netBaseFlow                  = 0;
	double  deltaStorage                 = 0;
	double  discard                      = 0;
	boolean manageIrrigation             = true; 
	Map<Integer, Double> irrigation      = new HashMap<Integer, Double>(); // Map of Crop ID Number and Irrigated amount
	Map<Integer, Double> irrigatedAreas  = new HashMap<Integer, Double>(); // Map of Crop ID Number and Irrigated amount
}
